summaryrefslogtreecommitdiffstats
path: root/libraries/slib
diff options
context:
space:
mode:
author Vincent Batts2010-05-12 23:31:27 +0200
committer Robby Workman2010-05-12 23:31:27 +0200
commitd818b76b355cdd6e7328a5b20b10176dab4d05da (patch)
tree0e3232c8a4bb4220d0396f0ecb1677708416ecac /libraries/slib
parent1dc80bd33417cac203b6ea1834d943c191c459de (diff)
downloadslackbuilds-d818b76b355cdd6e7328a5b20b10176dab4d05da.tar.gz
libraries/slib: Added to 12.2 repository
Diffstat (limited to 'libraries/slib')
-rw-r--r--libraries/slib/README2
-rw-r--r--libraries/slib/slack-desc19
-rw-r--r--libraries/slib/slib.SlackBuild102
-rw-r--r--libraries/slib/slib.info8
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/slib/README b/libraries/slib/README
new file mode 100644
index 0000000000..abf47a7b62
--- /dev/null
+++ b/libraries/slib/README
@@ -0,0 +1,2 @@
+Scheme Library slib-3b1. Slib conforms to Revised^5 Report
+on the Algorithmic Language Scheme and the IEEE P1178 specification.
diff --git a/libraries/slib/slack-desc b/libraries/slib/slack-desc
new file mode 100644
index 0000000000..3353e8bbf2
--- /dev/null
+++ b/libraries/slib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+slib: slib - (IEEE P1178 / Algorithmic Language Scheme schema library)
+slib:
+slib: Scheme Library slib-3b1. Slib conforms to Revised^5 Report on the
+slib: Algorithmic Language Scheme and the IEEE P1178 specification.
+slib: Slib supports Unix and similar systems, VMS, and MS-DOS.
+slib:
+slib: The maintainer can be reached at agj @ alum.mit.edu.
+slib:
+slib: Homepage: http://swiss.csail.mit.edu/~jaffer/SLIB.html
+slib:
+slib:
diff --git a/libraries/slib/slib.SlackBuild b/libraries/slib/slib.SlackBuild
new file mode 100644
index 0000000000..802875bb4e
--- /dev/null
+++ b/libraries/slib/slib.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for slib
+
+# Copyright 2009 Vincent Batts, vbatts@hashbangbash.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=slib
+VERSION=3b1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's%/usr/local%/usr%g' Makefile
+make libdir=/usr/lib${LIBDIRSUFFIX}/
+make infoz DESTDIR=$PKG
+make libdir=/usr/lib${LIBDIRSUFFIX}/ install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# The Makefile is braindead
+sed -i "s%$PKG%%g" $PKG/usr/bin/slib
+
+# guile is suppose to look to /usr/share/slib by default
+mkdir -p $PKG/usr/share/guile
+( cd $PKG/usr/share/ ; ln -s ../lib${LIBDIRSUFFIX}/slib . )
+( cd $PKG/usr/share/guile/ ; ln -s ../../lib${LIBDIRSUFFIX}/slib . )
+
+# a somewhat perculiar quirk that only seems to be an issue on slackware
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/slib ; ln -s mklibcat.scm mklibcat )
+
+rm -f $PKG/usr/info/dir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ANNOUNCE FAQ COPYING ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/slib/slib.info b/libraries/slib/slib.info
new file mode 100644
index 0000000000..3d4c5512b9
--- /dev/null
+++ b/libraries/slib/slib.info
@@ -0,0 +1,8 @@
+PRGNAM="slib"
+VERSION="3b1"
+HOMEPAGE="http://www-swiss.ai.mit.edu/~jaffer/SLIB.html"
+DOWNLOAD="http://swiss.csail.mit.edu/ftpdir/scm/slib-3b1.zip"
+MD5SUM="9622df4aba2fde24eeb4456d97c5add1"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="rworkman"